using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kval22
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());

            var line = Console.ReadLine();
            var data = line.Split(' ');

            int i = 0;
            bool p = false;
            while (i < n - 1 && int.Parse(data[i]) >= int.Parse(data[i + 1]))
            {
                if (int.Parse(data[i]) == int.Parse(data[i + 1]))
                    p = true;
                i++;
            }

            if (i == n - 1)
            {
                if (p)
                    Console.Write(line);
                else
                {
                    string x = data[n - 1];
                    data[n - 1] = data[n - 2];
                    data[n - 2] = x;
                    for (int j = 0; j < n; j++)
                        Console.Write("{0} ", data[j]);
                }
            }
            else
            {
                i = 0;
                p = false;
                while (!p)
                {
                    int maks = int.Parse(data[i]);
                    int indeks = i;
                    for (int j = i + 1; j < n; j++)
                        if (int.Parse(data[j]) > maks)
                        {
                            maks = int.Parse(data[j]);
                            indeks = j;
                        }

                    if (indeks != i)
                    {
                        string x = data[i];
                        data[i] = data[indeks];
                        data[indeks] = x;
                        for (int j = 0; j < n; j++)
                            Console.Write("{0} ", data[j]);
                        p = true;
                    }
                    else
                        i++;
                }
            }
        }
    }
}